.vinyl-cntndr {
        width: min-content;
        margin: 50px auto;
        padding: 20px;
        box-sizing: border-box;
        border-radius: var(--corners);
        border: 1px solid var(--border);
        background-color: var(--bckgrnd);
        position: relative;
        display: grid;
        grid-template-columns: 250px 200px 120px;
        gap: 10px;
        font-size: 12px;
        font-family: 'Poppins', sans-serif;
        line-height: 15px;
        color: var(--accent);
        --bckgrnd: hsla(var(--accent2), 45%, 50%, .4);
        --border: hsl(var(--accent2), 45%, 50%);
        --corners: 8px;
    }

    .vinyl-cntndr br {
        display: none;
    }

    .vinyl-cntndr > a {
        position: absolute;
        top:  calc(55% - 28.9px);
        right: -42px;
        text-align: center;
        color: var(--border);
        text-decoration: none;
        text-transform: uppercase;
        transform: rotate(90deg);
    }

    .vinyl-ctd {
        height: 250px;
        grid-column: 1;
        grid-row: span 2;
        background-color: var(--bckgrnd);
        position: relative;
        z-index: 1;
        box-shadow: 0 1px 3px hsla(0, 0%, 0%, .4);
    }

    .vinyl-ctd::before,
    .vinyl-ctd::after {
        content: '';
        position: absolute;
        top: 0;
        left: 0;
        --size: 100%;
        width: var(--size);
        height: var(--size);
        background-size: cover;
        transition: .8s;
    }

    .vinyl-ctd::before {
        background-image: var(--img);
        opacity: 1;
        visibility: visible;
        z-index: 2;
    }

    .vinyl-ctd::after {
        background-image: url(https://i.imgur.com/IIGjkrC.png);
        opacity: .25;
        z-index: 3;
    }

    .vinyl-cntndr input[type="checkbox"]:checked ~ .vinyl-ctd::before,
    .vinyl-cntndr input[type="checkbox"]:checked ~ .vinyl-ctd::after {
        opacity: 0;
        transition: .8s;
        visibility: hidden;
    }

    .vinyl-ctd div {
        --size: 100%;
        width: var(--size);
        height: var(--size);
        padding: 10px;
        box-sizing: border-box;
        overflow-y: auto;
        display: flex;
        flex-direction: column;
        gap: 5px;
        scrollbar-color: var(--accent2) transparent;
        scrollbar-width: thin;
    }

    .vinyl-ctd div a {
        padding: 10px 8px;
        box-sizing: border-box;
        border-radius: var(--corners);
        position: relative;
        color: inherit;
        text-decoration: none;
        cursor: pointer;
    }

    .vinyl-ctd div a::before {
        content: var(--ico);
        position: absolute;
        bottom: 6px;
        right: 6px;
        font-size: 16px;
        font-family: "Font Awesome 7 Pro";
        font-weight: 900;
        opacity: .25;
    }

    .vinyl-ctd div a:hover {
        box-shadow: inset 0 -2px 0 hsla(0, 0%, 100%, .1), inset 0 2px 2px hsla(0, 0%, 0%, .1);
    }

    .vinyl-frs {
        grid-column: 2;
        grid-row: 1;
        padding: 10px;
        box-sizing: border-box;
        font-size: 8px;
        line-height: 10px;
        text-align: center;
        text-transform: uppercase;
    }
    
    .vinyl-bttns {
        grid-column: 3;
        grid-row: 1;
        display: flex;
        justify-content: space-evenly;
        align-items: center;
        font-size: 15px;
    }

    .vinyl-bttns label {
        cursor: pointer;
    }

    .vinyl-cntndr input[type="checkbox"]:checked ~ .vinyl-bttns label::before {
        content:'\f04c';
    }

    .vinyl-trnms {
        grid-column: 2 / 4;
        grid-row: 2;
        display: flex;
        justify-content: center;
    }

    /*Disco*/
    .vinyl-trnms div:nth-of-type(1)  {
        --size: 200px;
        width: var(--size);
        height: var(--size);
        background-image: url(https://i.imgur.com/nnr0QxV.png);
        background-size: cover;
        position: relative;
        display: flex;
        justify-content: center;
        align-items: center;
        transition: 1s;
        animation: rotate 6s linear infinite;
        animation-play-state: paused;
        
    }
    
    .vinyl-trnms div:nth-of-type(1)::after {
        content: '';
        position: absolute;
        --size: 50%;
        width: var(--size);
        height: var(--size);
        border: 2px solid var(--border);
        box-sizing: border-box;
        background-image: var(--img);
        background-size: cover;
        border-radius: 50%;
    }

    .vinyl-cntndr input[type="checkbox"]:checked ~ .vinyl-trnms div:nth-of-type(1){
        animation-play-state: running;
        filter: drop-shadow(0 1px 8px var(--border));
    }

    @keyframes rotate {
        0% {transform: rotate(0);}
        100% {transform: rotate(360deg);}
    }

    /*Aguja*/
    .vinyl-trnms div:nth-of-type(2) {
        width: 110px;
        height: 165px;
        margin-left: -100px;
        background-image: url(https://i.imgur.com/E5808TD.png);
        background-size: cover;
        z-index: 2;
        transform: rotate(-32deg);
        transform-origin: top right;
        transition: 1s;
    }

    .vinyl-cntndr input[type="checkbox"]:checked ~ .vinyl-trnms div:nth-of-type(2) {
        transform: rotate(-15deg);
        transition: 1s;
    }